Package org.apache.sysds.runtime.compress.lib

# Class CLALibReshape

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibReshape

public class CLALibReshape extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`COMPRESSED_RESHAPE_THRESHOLD`
The minimum number of rows threshold for returning a compressed output

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`reshape(CompressedMatrixBlock in, int rows, int cols, boolean rowwise)`
`static MatrixBlock`
`reshape(CompressedMatrixBlock in, int rows, int cols, boolean rowwise, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPRESSED_RESHAPE_THRESHOLD

public static int COMPRESSED_RESHAPE_THRESHOLD
The minimum number of rows threshold for returning a compressed output

## Method Details

### reshape

public static MatrixBlock reshape(CompressedMatrixBlock in, int rows, int cols, boolean rowwise)

### reshape

public static MatrixBlock reshape(CompressedMatrixBlock in, int rows, int cols, boolean rowwise, int k)